#
# $Id: printOutput.tcl,v 1.3.2.1 1997/10/05 16:48:58 faa Exp $
#
# Take a TCL list returned from "gcl" or "smalltalk" commands
# and put up a dialogue box if there is any error output
#
proc g_testOutput {output} {
  global g_messText
  set norm [lindex $output 0]
  set inf [lindex $output 1]
  set err [lindex $output 2]
  set deb [lindex $output 3]
 
  if {[string len $inf] != 0} {
    set g_messText "$g_messText $inf"
  }
  if {[string len $deb] != 0} {
    set g_messText "$g_messText $deb"
  } 
  if {[string len $err] != 0} {
    set g_messText "$g_messText $err"
    after idle {.dialog1.msg config -wraplength 2i -width 30}
    set i [tk_dialog .dialog1 "Error" $err error 0 Cancel Further]
    switch $i { 1 {g_further $g_messText}
    }
  }
}

proc g_further {messText} {
  set text .top
  catch {destroy $text}
  toplevel $text
  wm title $text "Information"

  tixScrolledText $text.what -scrollbar auto
  $text.what subwidget text insert end $messText
  $text.what subwidget text config -wrap word -state disabled

  tixButtonBox $text.box -orientation horizontal
  $text.box add ok -text Ok -command "catch {destroy $text}"
  $text.box add cancel -text Cancel -command "catch {destroy $text} "

  pack $text.what $text.box -side top -expand yes -fill both
}
  
proc g_errorMess {message} {
  after idle {.dialog1.msg config -wraplength 2i -width 30}
  set i [tk_dialog .dialog1 "Error" $message error 0 Ok]
}

proc g_infoMess {message} {
  after idle {.dialog1.msg config -wraplength 2i -width 30}
  set i [tk_dialog .dialog1 "Warning" $message info 0 Ok]
}

proc g_normalMess {message} {
  after idle {.dialog1.msg config -wraplength 2i -width 30}
  set i [tk_dialog .dialog1 "Message" $message 0 Ok]
}
